package com.mwt.oes.service;

import com.mwt.oes.domain.Paper;

import java.util.List;
import java.util.Map;

public interface StudentPaperService {

    /**
     * 获取当前可考试卷
     * @param paperStatus
     * @return
     */
    List<Map<String, Object>> getCurrentPapersList(Integer paperStatus);

    /**
     * 通过 ID 获取试卷信息
     * @param paperId
     * @return
     */
    Paper getPaperInfoByPaperId(Integer paperId);

    /**
     * 通过试卷 ID 获取各类型题目数量
     * @param paperId
     * @return
     */
    Map<String, Integer> getPaperQueNumByPaperId(Integer paperId);
}
